Modsecurity ruleset update error on Plesk behind proxy: urlopen error [Errno 111] Connection refused> Unable to download tortix rule set

Created:

2017-04-19 19:55:42 UTC

Modified:

2017-08-16 16:02:38 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Modsecurity ruleset update error on Plesk behind proxy: urlopen error [Errno 111] Connection refused> Unable to download tortix rule set

Applicable to:

  • Plesk Onyx for Linux

Symptoms

The network is private, direct internet access is restricted.

An attempt to update ModSecurity ruleset results in the following error:

Failed to install the ModSecurity rule set: modsecurity_ctl failed: <urlopen error [Errno 111] Connection refused> Unable to download tortix rule set

Cause

This is Plesk bug with ID # PPPM-6112 which will be fixed in the next product updates.

Resolution

As workaround:

  1. Turn off ruleset updates in Tools & Settings > Web Application Firewall (ModSecurity) > Settings > Update rule sets > uncheck

  2. Specify proxy settings in /etc/asl/config (HTTP_PROXY*)

  3. Turn on asl updates: set AUTOMATIC_UPDATES="daily" in /etc/asl/config
Have more questions? Submit a request
Please sign in to leave a comment.